/**
 * my_ftp - client for file server in UDP protocol.
 * 2000-2001 by AUTHORS (see AUTHORS for more informations).
 *
 * This file is subject to the terms and conditions of the GNU General
 * Public License.  See the file COPYING in the main directory of the
 * gnu/poker distribution for more details.
 *
 * main.c :  service de ftp
 * 
 * mar dc 11 16:29:23 CET 2001 - clucas  - first edition
 *
 */

#include "client.h"
#include "common.h"

int my_chdir( int fd , struct sockaddr_in *s , char *path_asked, char *prompt)
{
	packet		p ;
	int 		retval , s_s ;

	s_s = sizeof( struct sockaddr_in );

	if( connected != 1 ) {
		printf("Not Connected.\n");
		return -1;
	}


	if( strcmp( path_asked , "" ) == 0 || path_asked == NULL ) {
		fprintf( stderr , "my_ftp>> my_chdir> path asked is null.\n");
		return -1 ;
	}

	p.header = CTRL_PACKET ;
	p.type_packet.control.ordre = CHDIR ;
	strncpy( p.type_packet.control.liste , path_asked , NB_PACKET_TO_SEND*sizeof(char) );
	sendto( fd , &p , sizeof(packet),0,(struct sockaddr *)s,sizeof(struct sockaddr) ); 
	

	retval = my_read( fd , &p , sizeof(p) , (struct sockaddr *)s , &s_s ) ;
	if( retval < 0 ) {

	} else {
		switch( p.type_packet.control.ordre ) {
			case CHDIR_OK : strcpy( prompt , "my_ftp [" );
					strcat( prompt , p.type_packet.control.liste );
					strcat( prompt , "] > " );
				break ;

			case CHDIR_PERMISSION_DENIED :
					printf("%s: permission denied...\n",path_asked);
				break;

			case CHDIR_PATH_NOT_FOUND :
					printf("%s: path not found...\n",path_asked);
				break;
			

			default : printf("%s: error with path on server (unrecognize error)\n",path_asked );
		} /* switch */

	}
	
	

/* si succes ne pas oublier de mettre  jour le prompt */
return 0 ;	
}
