/**
 * myftp - file server in UDP protocol.
 * 2000-2001 by AUTHORS (see AUTHORS for more informations).
 *
 * This file is subject to the terms and conditions of the GNU General
 * Public License.  See the file COPYING in the main directory of the
 * gnu/poker distribution for more details.
 *
 * server.h :  dfintions de constantes et autres types pour le serveur
 * 
 * sam nov 10 11:29:55 CET 2001  - clucas  - first edition
 *
 */

#ifndef server_h
#define server_h

/*---------------- Section : Header ------------------------------------ */
#include "common.h"

/* --------------- Section : #define ----------------------------------- */
#define NB_PACKET( taille_f )	( taille_f % DATA_SIZE == 0 ) ? (int)taille_f/DATA_SIZE : (int)taille_f/DATA_SIZE + 1 
/* --------------- Section : Variables globales ------------------------ */
extern int 			fdsock , low_fdsock , nb_lowserver , nb_temp_port ;
extern data			tab_packet[NB_PACKET_TO_SEND];
extern int			taille_fic , nb_packet_to_receive , nb_connecte , id , nb_lowserver ;
extern struct sockaddr_in	ssin , from ;
extern socklen_t		s_sin , s_from ;
extern int			*tab_proc ;
extern int 			errno ;

/* --------------- Section : Def structures ---------------------------- */
typedef unsigned int  titux_u_int ;
/* --------------- Section : Prototype de fonctions -------------------- */
extern int	 send_ls( packet *p );
extern void	 treat_ctrl_msg( packet *p , struct sockaddr_in *s );
extern void	 treat_data_msg( packet *p );
extern void	 hd( ) ;
extern void	 hdusr1( ) ;
extern bloc_ls*	 pre_ls( int *nb);
extern void	 ls( int fd , struct sockaddr_in *s);
extern void	 ls2( int fd , struct sockaddr_in *s);
extern void	 kill_lowserver( );
extern void	 update_ls_block( bloc_ls *t , char *list , int nb_block );
extern void	 my_chdir( int fd , struct sockaddr_in *s, const char *path);
extern void remove_pid( int *tab , int pid , int nb); 
/* --------------- Section : Notes Techniques -------------------------- */
#endif

