/**
 * libftp - file server in UDP protocol.
 * 2000-2001 by AUTHORS (see AUTHORS for more informations).
 *
 * This file is subject to the terms and conditions of the GNU General
 * Public License.  See the file COPYING in the main directory of the
 * gnu/poker distribution for more details.
 *
 *************************************************************************
 * ftp.h :  header for libftp functions
 * 
 *************************************************************************
 * jeu dc 27 18:59:18 CET 2001 - clucas  - first edition
 *
 *************************************************************************
 */

#ifndef ftp_h
#define ftp_h

/*---------------- Section : Header ------------------------------------ */
#include <stdio.h>
#include <unistd.h>
#include <stdlib.h>
#include <string.h>
#include <sys/socket.h>
#include <sys/types.h>
#include <signal.h>
#include <sys/wait.h>
#include <sys/types.h>
#include <dirent.h>
#include <errno.h>
#include "packet.h"
#include "csock.h"

/* --------------- Section : #define ----------------------------------- */
/* --------------- Section : Variables globales ------------------------ */
/* --------------- Section : Def structures ---------------------------- */
/* --------------- Section : Prototype de fonctions -------------------- */
extern int get( int fd , char *file , struct sockaddr_in *s );
extern int server_get( int fd , struct sockaddr_in *s, packet *p_low );
extern data_block* create_tab( );
extern int file_exist( char *file );
extern int update_data_block( data_block *t , char *list , int nb_block );
extern int fflush_tab( int fd_file , data_block *tab , int num_packet );
extern packet update_ctrl_msg_list( data_block *t , int nb_block );
extern void init_data_tab( data_block *tab );
extern int fill_data_tab( data_block *tab , int fd );
extern data_block* create_tab( void );  
extern int server_receive( int fd , struct sockaddr_in *s , packet *p_low);
extern int client_send( int fd , struct sockaddr_in *s , char *file , char *dir);


/* --------------- Section : Notes Techniques -------------------------- */
#endif

