/**
 * server - file server with UDP protocol.
 * 2000-2001 by AUTHORS (see AUTHORS for more informations).
 *
 * This file is subject to the terms and conditions of the GNU General
 * Public License.  See the file COPYING in the main directory of the
 * gnu/poker distribution for more details.
 *
 * treatment.c :  message treatment core 
 * 
 * ven nov 23 20:24:29 CET 2001 - clucas - first edition
 * mar dc 11 14:48:48 CET 2001 - clucas - clean of the switch loop
 * lun dc 24 17:29:21 CET 2001 - clucas - add my_chdir
 *
 */
//#include "packet.h"
//#include "csock.h"
#include "server.h"
#include "common.h"
#include "../lib/ftp.h"

void treat_ctrl_msg( packet *p , struct sockaddr_in *s)
{
	/* if( nb_connect == 0 ) { */
	switch(  p->type_packet.control.ordre ) {
		/*
		 * on rcupre un fichier depuis un hote distant
		 */
		case GET : {
				server_get( low_fdsock , s , p);
			}
			break ;

		/*
		 * on envoie un fichier  un hote distant !!
		 */
		case SEND : {
				server_receive( low_fdsock , s , p );
			}
			break ;
	
		/*
		 * Comme son nom l'indique le client veut changer de rpertoire.
		 */
		case CHDIR : {
				my_chdir( low_fdsock , s , p->type_packet.control.liste ) ;
			}
			break;

		/* 
		 * le client quitte le service  
		 */
		case END_SESSION : {
			kill_lowserver( );
			}
			break ;	

		/* le client veut savoir ce qui se trouve dans le rpertoire */
		case LS : {
				 /* ls( low_fdsock , s); */
				 ls2( low_fdsock , s);
			}
			break;

		default : 
				

	}/* switch */	

}
