/**
 * myftp - file server in UDP protocol.
 * 2000-2001 by AUTHORS (see AUTHORS for more informations).
 *
 * This file is subject to the terms and conditions of the GNU General
 * Public License.  See the file COPYING in the main directory of the
 * gnu/poker distribution for more details.
 *
 * server.h :  dfintions de constantes et autres types pour le serveur
 * 
 * sam nov 10 11:29:55 CET 2001  - clucas  - first edition
 *
 */

#ifndef client_h
#define client_h

/*---------------- Section : Header ------------------------------------ */
#include <stdio.h>
#include <unistd.h>
#include <string.h>
#include <sys/socket.h>
#include <sys/types.h>
#include <sys/stat.h>
#include "packet.h"
#include "csock.h"

/* --------------- Section : #define ----------------------------------- */
/* --------------- Section : Variables globales ------------------------ */
extern int fdsock ;
extern short connected;
/* --------------- Section : Def structures ---------------------------- */

/* --------------- Section : Prototype de fonctions -------------------- */
extern char** read_prompt( char *prompt , int *choix, int *nb_arg);
extern void splash_screen() ;
extern void print_help() ;
extern int ls( int fd , struct sockaddr_in *s , size_t s_s );
extern void send_ls( int fd , packet *p , size_t s );
extern void send_ls_ok( int fd , packet *p , size_t s );
extern void print_ls_block( bloc_ls *t , int i);
extern bloc_ls* init_tab( int nb ) ;
extern bloc_ls* create_tab_block_ls( int nb );
extern int my_chdir( int fd , struct sockaddr_in *s , char *path_asked, char *prompt);
extern void fflush_tab_stdout( int fd_file , data_block *tab , int num_packet );


/* --------------- Section : Notes Techniques -------------------------- */
#endif

