/**
 * server - file server in UDP protocol.
 * 2000-2001 by AUTHORS (see AUTHORS for more informations).
 *
 * This file is subject to the terms and conditions of the GNU General
 * Public License.  See the file COPYING in the main directory of the
 * gnu/poker distribution for more details.
 *****************************************************************************
 * handler.c :  handler functions
 *****************************************************************************
 * ven nov 23 21:23:00 CET 2001 - c.lucas  - first edition
 *****************************************************************************
 */
#include "server.h"

/**
 * hd:
 * handler when i receive a SIGINT (CTRL^C).
 */
void hd( )
{
	int 		i ;
	printf("server> kill all lowserver[%d]...ok\n",nb_lowserver);
	for( i =0 ; i<nb_lowserver ; i++ ) {
		kill( tab_proc[i] , SIGKILL );
	} 

	printf("server> socket closed...ok\n");
	close( fdsock );
	printf("server> exiting...\n");	
	exit( 0 ) ;
}

/**
 * hdusr1:
 * handler when i receive a SIGUSR1 signal
 */
void hdusr1( )
{
	int 		i ;
	/* to be sure to wait my son when he is zombie */
	sleep(1);
	printf("server> a client has quit: kill his associated thread...ok\n");
	for( i =0 ; i<nb_lowserver ; i++ ) {
		if( waitpid( tab_proc[i] , NULL , WNOHANG) > 0 ) {
			remove_pid( tab_proc , tab_proc[i] , nb_lowserver );
			nb_lowserver -- ;
		}
	} 
}
