/**
 * server - file server in UDP protocol.
 * 2000-2001 by AUTHORS (see AUTHORS for more informations).
 *
 * This file is subject to the terms and conditions of the GNU General
 * Public License.  See the file COPYING in the main directory of the
 * gnu/poker distribution for more details.
 ******************************************************************************
 * lowserver.c :  core of the lowserver
 ****************************************************************************** 
 * mer nov 28 10:31:40 CET 2001 - clucas - first edition
 * dim jan 20 22:12:50 CET 2002 - clucas - stable version 
 ******************************************************************************
 */

#include "server.h"
#include "common.h"

void lowserver( int port , struct sockaddr *from )
{
	int			fdsock , retval ;
	char			p_port[5];
	packet			p;
	sigset_t		sigset_new ;
	struct sigaction	action ;

	sigemptyset( &sigset_new );
	sigaddset( &sigset_new , SIGUSR1 );
	sigprocmask( SIG_BLOCK , &sigset_new , NULL );

	sprintf( p_port , "%d" , port-1 );

	printf("lowserver> socket created on %s port...", p_port );
	fflush( stdout );
	fdsock = server_socket( p_port , "udp" , 5 );
	if( fdsock > 0 )
		printf("ok\n");
	else
		printf("failed");

	/* initialisation de la variable globale low_fdsock */
	low_fdsock = fdsock ;

	printf("lowserver>initialisation du tableau de stockage...ok\n");
	fflush( stdout );

	nb_connecte = 0 ;
	
	printf("lowserver>waiting for a connection...\n");
	while( 1 ) {
		bzero( &p , sizeof(packet) );
		retval = -1 ;
		retval = my_read( fdsock , &p , sizeof(p) , (struct sockaddr *)from , &s_from ); 

/*
 * CETTE LIGNE COMMENTEE PEUT SERVIR AU DEBUGGAGE
 *
 * printf("lowserver>> message:%d\n",p.type_packet.control.ordre);	 
 *
 */
		if( retval > 0 ) {
			switch( p.header ) {
				case CTRL_PACKET :
					{
						treat_ctrl_msg( &p , (struct sockaddr_in *)from );
					}
					break ;

				default : printf("IL Y A UN PB AVEC UN HEADER !!!!( %d - %d )\n",p.header,retval);
		
			}/* switch */
		}/* if */
	} /* while */
} /* lowserver */
